## ros-humble-laser-geometry 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(laser_geometry)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)

find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

ament_python_install_package(laser_geometry PACKAGE_DIR src/laser_geometry)

add_library(laser_geometry SHARED src/laser_geometry.cpp)
target_include_directories(laser_geometry
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
  ${Eigen3_INCLUDE_DIRS}
)
ament_target_dependencies(laser_geometry
  "rclcpp"
  "sensor_msgs"
  "tf2"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(laser_geometry PRIVATE "LASER_GEOMETRY_BUILDING_LIBRARY")

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(laser_geometry)

# Export modern CMake targets
ament_export_targets(laser_geometry)

ament_export_dependencies(
  eigen3_cmake_module
  Eigen3
  rclcpp
  sensor_msgs
  tf2
)

install(
  TARGETS laser_geometry
  EXPORT laser_geometry
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

if(BUILD_TESTING)
  # TODO(Martin-Idel-SI): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(projection_test
    test/projection_test.cpp
    TIMEOUT 240)
  if(TARGET projection_test)
    target_link_libraries(projection_test laser_geometry)
  endif()

  # Python test
  # Provides PYTHON_EXECUTABLE_DEBUG
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)

  set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")
  if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
  endif()

  find_package(ament_cmake_pytest REQUIRED)

  ament_add_pytest_test(projection test/projection_test.py
    TIMEOUT 120
    PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}"
  )

  set(PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}")
endif()

ament_package()

=== debian/changelog ===
ros-humble-laser-geometry (2.4.0-2jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#86 <https://github.com/ros-perception/laser_geometry/issues/86>)
  * Explicit cast to double to prevent loss of precision
  * Fix Duration casting issue leading to no undistortion
  * Contributors: Jonathan Binney, Marco Lampacrescia, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 01 Mar 2022 08:00:00 -0000

ros-humble-laser-geometry (2.3.0-2jammy) jammy; urgency=high

  * Fix building on running on Windows Debug (#82 <https://github.com/ros-perception/laser_geometry/issues/82>)
  * Update python code and tests for ros2 (#80 <https://github.com/ros-perception/laser_geometry/issues/80>)
  * Contributors: Chris Lalancette, Jonathan Binney

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-laser-geometry (2.2.2-2jammy) jammy; urgency=high

  * Export sensor_msgs, tf2, and rclcpp as dependencies
  * Contributors: Mabel Zhang, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 11 May 2021 07:00:00 -0000

ros-humble-laser-geometry (2.2.1-2jammy) jammy; urgency=high

  * Use rclcpp::Duration::from_seconds (#72 <https://github.com/ros-perception/laser_geometry/issues/72>)
  * update maintainers
  * increase test timeout
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jonathan Binney, Mabel Zhang

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-humble-laser-geometry (2.2.0-2jammy) jammy; urgency=high

  * use ament_export_targets()
  * code style only: wrap after open parenthesis if not in one line (#52 <https://github.com/ros-perception/laser_geometry/issues/52>)
  * use target_include_directories
  * Drop CMake extras redundant with eigen3_cmake_module. (#50 <https://github.com/ros-perception/laser_geometry/issues/50>)
  * Contributors: Dirk Thomas, Jonathan Binney, Karsten Knese, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-humble-laser-geometry (2.1.0-2jammy) jammy; urgency=high

  * Merge pull request #46 <https://github.com/ros-perception/laser_geometry/issues/46> from sloretz/eigen3_cmake_module
  * Contributors: Jonathan Binney, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-humble-laser-geometry (2.0.0-2jammy) jammy; urgency=high

  * Removed the ``angle`` dependency as no longer necessary.
  * Updated to build statically but use position independent code.
  * Updated to compile, and to remove PointCloud support, and remove boost.
  * Added visibility headers modified from ``rclcpp``.
  * Updated ``laser_geometry`` to build for ros2 (and on Windows 10).
  * Improved use of numpy. (#14 <https://github.com/ros-perception/laser_geometry/issues/14>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Brian Fjeldstad, Eric Wieser, Jon Binney, Jonathan Binney, Martin Idel, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-humble-laser-geometry (1.6.4-2jammy) jammy; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 May 2015 07:00:00 -0000

ros-humble-laser-geometry (1.6.3-2jammy) jammy; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 07 Mar 2015 08:00:00 -0000

ros-humble-laser-geometry (1.6.2-2jammy) jammy; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 08 Jun 2014 07:00:00 -0000

ros-humble-laser-geometry (1.6.1-2jammy) jammy; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-humble-laser-geometry (1.6.0-2jammy) jammy; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-humble-laser-geometry (1.5.15-2jammy) jammy; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Dec 2013 08:00:00 -0000

ros-humble-laser-geometry (1.5.14-2jammy) jammy; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Nov 2013 08:00:00 -0000

ros-humble-laser-geometry (1.5.13-2jammy) jammy; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 06 Oct 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.12-2jammy) jammy; urgency=high

  * fix case of Eigen find_package name

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 14 Sep 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.11-2jammy) jammy; urgency=high

  * added missing run deps

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jul 2013 07:00:00 -0000

ros-humble-laser-geometry (1.5.10-2jammy) jammy; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 28 Jun 2013 22:09:00 -0000

ros-humble-laser-geometry (1.5.9-2jammy) jammy; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 28 Jun 2013 18:38:00 -0000

ros-humble-laser-geometry (1.5.8-2jammy) jammy; urgency=high

  * Added buildtool_depend on catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 Dec 2012 21:54:00 -0000

ros-humble-laser-geometry (1.5.7-2jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-laser-geometry
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-python-cmake-module <!nocheck>, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-humble-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-numpy, ros-humble-eigen3-cmake-module, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-sensor-msgs-py, ros-humble-tf2, ros-humble-ros-workspace
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-laser-geometry//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
